/**
 * Copyright IBM Corp. 2016, 2018
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import React from 'react';
import FormLabel from './FormLabel';
import Tooltip from '../Tooltip';
var additionalProps = {
  className: 'some-class'
};
export default {
  title: 'FormLabel',
  parameters: {
    component: FormLabel
  }
};
export var Default = function Default() {
  return /*#__PURE__*/React.createElement(FormLabel, additionalProps, "Label");
};
Default.parameters = {
  info: {
    text: 'Form label.'
  }
};
export var WithTooltip = function WithTooltip() {
  return /*#__PURE__*/React.createElement(FormLabel, additionalProps, /*#__PURE__*/React.createElement(Tooltip, {
    triggerText: "Label"
  }, "This is the content of the tooltip."));
};
WithTooltip.storyName = 'With tooltip';
WithTooltip.parameters = {
  info: {
    text: 'Form label with tooltip.'
  }
};